org.apache.synapse.commons.evaluators.config

## Class EvaluatorFactoryFinder

- java.lang.Object
- - org.apache.synapse.commons.evaluators.config.EvaluatorFactoryFinder

-     public class EvaluatorFactoryFinder
      extends Object

  Factories for creating Evaluators are found using the evaluator name. This class stores information about Evaluator Factories and their corresponding names. This is a Singleton class.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvaluatorFactory` | `findEvaluatorFactory(String name)` Retun an `EvaluatorFactory` for a given Evaluator name.
    `Evaluator` | `getEvaluator(org.apache.axiom.om.OMElement elem)` Retun an `EvaluatorFactory` for a given Evaluator name.
    `static EvaluatorFactoryFinder` | `getInstance()` Return and instance of the `EvaluatorFactoryFinder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EvaluatorFactoryFinder getInstance()

      Return and instance of the `EvaluatorFactoryFinder`.
      Returns:
        the EvaluatorFactoryFinder singleton

    - #### findEvaluatorFactory

          public EvaluatorFactory findEvaluatorFactory(String name)

      Retun an `EvaluatorFactory` for a given Evaluator name.
      Parameters:
        `name` - name of the Evaluator
      Returns:
        an EvaluatorFactory

    - #### getEvaluator

          public Evaluator getEvaluator(org.apache.axiom.om.OMElement elem)
                                 throws EvaluatorException

      Retun an `EvaluatorFactory` for a given Evaluator name.
      Parameters:
        `elem` - A XML element containing the evaluator configuration
      Returns:
        an Evaluator
      Throws:
        `EvaluatorException` - if it cannot find a corresponding factory for creating an evaluator

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.